SELECT Код_типа_соединения INTO #TmpTable FROM Справочник_типов_кабельных_соединений
SET IDENTITY_INSERT Справочник_типов_кабельных_соединений ON

IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 1) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (1,'опрессовка трубчатыми наконечниками ТА')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 2) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (2,'опрессовка трубчатыми наконечниками ТАМ')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 3) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (3,'опрессовка штифтовыми наконечниками ШП')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 4) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (4,'штамповка наконечника пороховым прессом')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 5) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (5,'пайка наконечниками П')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 6) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (6,'термическая сварка наконечниками ЛАС')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 7) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (7,'пропанокислородная сварка пластинами из сплава АДЗ')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 8) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (8,'пропанокислородная сварка наконечниками ЛАС')
IF NOT EXISTS (SELECT * FROM #TmpTable WHERE Код_типа_соединения = 9) INSERT INTO Справочник_типов_кабельных_соединений (Код_типа_соединения,Описание) VALUES (9,'опрессовка трубчатыми гильзами')

SET IDENTITY_INSERT Справочник_типов_кабельных_соединений OFF
DROP TABLE #TmpTable
